groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Groff-commit] groff ChangeLog Makefile.in font/util/make-Rpro...


From: Werner LEMBERG
Subject: [Groff-commit] groff ChangeLog Makefile.in font/util/make-Rpro...
Date: Sun, 04 Jan 2009 11:12:43 +0000

CVSROOT:        /cvsroot/groff
Module name:    groff
Changes by:     Werner LEMBERG <wl>     09/01/04 11:12:42

Modified files:
        .              : ChangeLog Makefile.in 
Added files:
        font/util      : make-Rproto 
Removed files:
        font           : make-Rproto 

Log message:
        * font/make-Rproto: Moved to...
        * font/util/make-Rproto: Here.
        
        * Makefile.in (NOMAKEDIRS): Add `m4', `font/devps/old', and
        `font/util'.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/groff/ChangeLog?cvsroot=groff&r1=1.1178&r2=1.1179
http://cvs.savannah.gnu.org/viewcvs/groff/Makefile.in?cvsroot=groff&r1=1.104&r2=1.105
http://cvs.savannah.gnu.org/viewcvs/groff/font/make-Rproto?cvsroot=groff&r1=1.1&r2=0
http://cvs.savannah.gnu.org/viewcvs/groff/font/util/make-Rproto?cvsroot=groff&rev=1.1

Patches:
Index: ChangeLog
===================================================================
RCS file: /cvsroot/groff/groff/ChangeLog,v
retrieving revision 1.1178
retrieving revision 1.1179
diff -u -b -r1.1178 -r1.1179
--- ChangeLog   4 Jan 2009 07:50:54 -0000       1.1178
+++ ChangeLog   4 Jan 2009 11:12:42 -0000       1.1179
@@ -1,5 +1,13 @@
 2009-01-04  Werner LEMBERG  <address@hidden>
 
+       * font/make-Rproto: Moved to...
+       * font/util/make-Rproto: Here.
+
+       * Makefile.in (NOMAKEDIRS): Add `m4', `font/devps/old', and
+       `font/util'.
+
+2009-01-04  Werner LEMBERG  <address@hidden>
+
        * src/roff/troff/TODO: Mention local variables.
 
 2009-01-03  Werner LEMBERG  <address@hidden>

Index: Makefile.in
===================================================================
RCS file: /cvsroot/groff/groff/Makefile.in,v
retrieving revision 1.104
retrieving revision 1.105
diff -u -b -r1.104 -r1.105
--- Makefile.in 11 Jul 2007 21:10:15 -0000      1.104
+++ Makefile.in 4 Jan 2009 11:12:42 -0000       1.105
@@ -1,4 +1,4 @@
-# Copyright (C) 1989-2000, 2001, 2002, 2003, 2004, 2005, 2006
+# Copyright (C) 1989-2000, 2001, 2002, 2003, 2004, 2005, 2006, 2009
 #   Free Software Foundation, Inc.
 #      Written by James Clark (address@hidden)
 # 
@@ -612,6 +612,7 @@
   font/devlj4/generate \
   doc
 NOMAKEDIRS=\
+  m4 \
   arch/djgpp \
   contrib/chem/examples \
   contrib/chem/examples/122 \
@@ -623,7 +624,9 @@
   contrib/mom/examples \
   contrib/mom/momdoc \
   contrib/gdiffmk/tests \
-  src/libs/snprintf
+  src/libs/snprintf \
+  font/devps/old \
+  font/util
 DISTDIRS=\
   $(INCDIRS) $(LIBDIRS) $(PROGDIRS) $(DEVDIRS) $(XDEVDIRS) $(OTHERDEVDIRS) \
   $(ALLTTYDEVDIRS) $(OTHERDIRS) $(EXTRADIRS) $(NOMAKEDIRS)

Index: font/util/make-Rproto
===================================================================
RCS file: font/util/make-Rproto
diff -N font/util/make-Rproto
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ font/util/make-Rproto       4 Jan 2009 11:12:42 -0000       1.1
@@ -0,0 +1,49 @@
+#! /bin/sh
+#
+# make-Rproto -- script for creating an R.proto file
+#
+# Copyright (C) 2006
+# Free Software Foundation, Inc.
+#      Written by Werner Lemberg <address@hidden>
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2, or (at your option) any later
+# version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with groff; see the file COPYING.  If not, write to the Free Software
+# Foundation, 51 Franklin St - Fifth Floor, Boston, MA 02110-1301, USA.
+
+#
+# usage:
+#
+#   make-Rproto R.proto.in < uniuni.cpp > R.proto
+#
+# `R.proto.in' contains the device specific part of the R.proto file; it
+# should end with a line containing the word `charset'.
+#
+# `uniuni.cpp' is located in directory `src/libs/libgroff'.
+
+prog="$0"
+
+if test $# -ne 1; then
+  echo "usage: $0 R.proto.in < uniuni.cpp > R.proto"
+  exit 1
+fi
+
+# Emit preamble.
+cat "$1"
+
+# Extract composite characters.
+grep '^  { ".*", ".*_.*" },' \
+| sed 's/  { "\(.*\)", ".\(.*\)" },/u\2        24      0       0x\1/'
+
+# EOF

Index: font/make-Rproto
===================================================================
RCS file: font/make-Rproto
diff -N font/make-Rproto
--- font/make-Rproto    9 Aug 2006 15:55:18 -0000       1.1
+++ /dev/null   1 Jan 1970 00:00:00 -0000
@@ -1,49 +0,0 @@
-#! /bin/sh
-#
-# make-Rproto -- script for creating an R.proto file
-#
-# Copyright (C) 2006
-# Free Software Foundation, Inc.
-#      Written by Werner Lemberg <address@hidden>
-#
-# This file is part of groff.
-#
-# groff is free software; you can redistribute it and/or modify it under
-# the terms of the GNU General Public License as published by the Free
-# Software Foundation; either version 2, or (at your option) any later
-# version.
-#
-# groff is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or
-# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
-# for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with groff; see the file COPYING.  If not, write to the Free Software
-# Foundation, 51 Franklin St - Fifth Floor, Boston, MA 02110-1301, USA.
-
-#
-# usage:
-#
-#   make-Rproto R.proto.in < uniuni.cpp > R.proto
-#
-# `R.proto.in' contains the device specific part of the R.proto file; it
-# should end with a line containing the word `charset'.
-#
-# `uniuni.cpp' is located in directory `src/libs/libgroff'.
-
-prog="$0"
-
-if test $# -ne 1; then
-  echo "usage: $0 R.proto.in < uniuni.cpp > R.proto"
-  exit 1
-fi
-
-# Emit preamble.
-cat "$1"
-
-# Extract composite characters.
-grep '^  { ".*", ".*_.*" },' \
-| sed 's/  { "\(.*\)", ".\(.*\)" },/u\2        24      0       0x\1/'
-
-# EOF




reply via email to

[Prev in Thread] Current Thread [Next in Thread]